@echo all

 

rem Set the environment

rem -------------------

 

 

set RMICP=%DEMOPATH%\lib\rmi.jar;%DEMOPATH%\lib\jdom.jar;%DEMOPATH%\lib\jaxen-1.1.1.jar

 

set PROPHOME=%DEMOPATH%\properties

set REPOSHOME=%DEMOPATH%\Repository

#set  REPOSHOME=D:\REPOSITORY

set classpath=%RMICP%

rem Launch the RMI server 

rem -----------------


set JAVA_ARGS=-cp %classpath% -DREPOSITORY_DIR=%REPOSHOME% -Dservices.properties=%PROPHOME%\services.properties 

set JAVA_MAIN=meta.rmi.server.Server

 

echo Executing java %JAVA_ARGS% %JAVA_MAIN% with classpath

echo %CLASSPATH%

java %JAVA_ARGS% %JAVA_MAIN%


 

 

